### for our spectrometer models with OceanOptics QE65PRO; slit width 100 µm, grating #H7
cat("\ndetermine spectrometer parameters")
spectrometer <- firstfile[2,2]
f <- as.numeric(firstfile[(header.rows+1):nrow(firstfile),1])
pixel.number <- length(f)
spec.index <- 1:pixel.number
dark.wl <- c(150,160)  ### with the current ccd wavelength calibration/grating (pixel 50:90) these correspond to a range at which the straylight induced offset might be monitored

### this needs to be extended for other spectrometers / DOAS models !
linearity.coeffs <- switch(DOAS.model,
                           S2 = c(1.03083,-3.64364e-06,1.19736e-10,-2.0452e-15,1.34312e-19,-5.92412e-24,1.00883e-28,-5.87744e-34), ### result (regression coefficients) frome the linearity test of the spectrometer with respect to cps; used here to correct to linearity; depends on used spectrometer, provided by manufacturer
                           S3 = c(0.989081,-2.03573e-06,3.49362e-10,-2.22192e-14,7.67257e-19,-1.49578e-23,1.53263e-28,-6.40854e-34),
                           S4 = c(0.974015,2.70953e-06,-1.74387e-12,-1.35508e-14,7.88328e-19,-1.94499e-23,2.25517e-28,-1.00972e-33),
                           S5 = c(0.981007,7.71084e-07,9.24250e-11,-1.12364e-14,5.36871e-19,-1.31607e-23,1.61183e-28,-7.79958e-34)
)
